## org.eclipse.emf.ecore.resource
Class Resource.IOWrappedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.eclipse.emf.ecore.resource.Resource.IOWrappedException

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  Resource

    public static class Resource.IOWrappedException

extends java.io.IOException

An IO exception that wraps another exception.

Since save and load throw an IO Exception, it may be convenient for an implementation to wrap another exception in order to throw it as an IO exception.

See Also:
  Serialized Form

Constructor Summary
`Resource.IOWrappedException(java.lang.Exception exception)` Creates an instance which wraps the given exception.

Method Summary
`java.lang.Exception` `getWrappedException()` Deprecated. in 2.2. Use `Throwable.getCause()` instead.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Resource.IOWrappedException

    public Resource.IOWrappedException(java.lang.Exception exception)

  Creates an instance which wraps the given exception.

  Parameters:
    `exception` - the exception to wrap.

Method Detail

### getWrappedException

    @Deprecated
    public java.lang.Exception getWrappedException()

  Deprecated. in 2.2. Use `Throwable.getCause()` instead.

  Returns the wrapped exception.

  Returns:
    the wrapped exception.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.